<?php


return  
    [
        'model' => [
            'model' => \Bixo\Aml\Models\Sanction::class,
            'table' => 'bixo_aml_sanctions',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['deal_id',  'agent_id',  'ref',  'deal_ref',  'type',  'status',  'score',  'buyers',  'sellers',  'buyer_name',  'seller_name',  'buyer_names',  'seller_names',  'aml_ids',  'edd_values',  'notes',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'aml/sanction',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "deal_id", 
                "type" => "text", 
                "label" => 'aml::sanction.label.deal_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agent_id", 
                "type" => "text", 
                "label" => 'aml::sanction.label.agent_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'aml::sanction.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "deal_ref", 
                "type" => "text", 
                "label" => 'aml::sanction.label.deal_ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'aml::sanction.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "score", 
                "type" => "text", 
                "label" => 'aml::sanction.label.score', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyers", 
                "type" => "text", 
                "label" => 'aml::sanction.label.buyers', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sellers", 
                "type" => "text", 
                "label" => 'aml::sanction.label.sellers', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_name", 
                "type" => "text", 
                "label" => 'aml::sanction.label.buyer_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "seller_name", 
                "type" => "text", 
                "label" => 'aml::sanction.label.seller_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_names", 
                "type" => "text", 
                "label" => 'aml::sanction.label.buyer_names', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "seller_names", 
                "type" => "text", 
                "label" => 'aml::sanction.label.seller_names', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "edd_values", 
                "type" => "text", 
                "label" => 'aml::sanction.label.edd_values', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "notes", 
                "type" => "text", 
                "label" => 'aml::sanction.label.notes', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'deal_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'aml::sanction.label.deal_id',
                "placeholder" => 'aml::sanction.placeholder.deal_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agent_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'aml::sanction.label.agent_id',
                "placeholder" => 'aml::sanction.placeholder.agent_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::sanction.label.ref',
                "placeholder" => 'aml::sanction.placeholder.ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'deal_ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::sanction.label.deal_ref',
                "placeholder" => 'aml::sanction.placeholder.deal_ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::sanction.label.type',
                "placeholder" => 'aml::sanction.placeholder.type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'score',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'aml::sanction.label.score',
                "placeholder" => 'aml::sanction.placeholder.score',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyers',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::sanction.label.buyers',
                "placeholder" => 'aml::sanction.placeholder.buyers',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sellers',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::sanction.label.sellers',
                "placeholder" => 'aml::sanction.placeholder.sellers',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::sanction.label.buyer_name',
                "placeholder" => 'aml::sanction.placeholder.buyer_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'seller_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::sanction.label.seller_name',
                "placeholder" => 'aml::sanction.placeholder.seller_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_names',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::sanction.label.buyer_names',
                "placeholder" => 'aml::sanction.placeholder.buyer_names',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'seller_names',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::sanction.label.seller_names',
                "placeholder" => 'aml::sanction.placeholder.seller_names',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'aml_ids',
                "element" => 'textarea',
                "type" => 'textarea',
                "label" => 'aml::sanction.label.aml_ids',
                "placeholder" => 'aml::sanction.placeholder.aml_ids',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'edd_values',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::sanction.label.edd_values',
                "placeholder" => 'aml::sanction.placeholder.edd_values',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'notes',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::sanction.label.notes',
                "placeholder" => 'aml::sanction.placeholder.notes',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'aml/sanction/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'aml/sanction/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'aml/sanction',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'aml/sanction',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'aml/sanction',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'aml/sanction',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'aml::sanction.label.created_at',
            'name' => 'aml::sanction.label.name',
            'status' => 'aml::sanction.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "aml::sanction.groups.main",
                'group' => "main.main",
                'title' => "aml::sanction.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "aml::sanction.groups.details",
                'group' => "main.details",
                'title' => "aml::sanction.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "aml::sanction.groups.images",
                'group' => "main.images",
                'title' => "aml::sanction.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "aml::sanction.groups.settings",
                'group' => "main.settings",
                'title' => "aml::sanction.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Aml',
            'module' => 'Sanction',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Bixo\Aml\Models\Sanction::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'aml::sanction.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['aml.sanction.copy', 'aml.sanction.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'aml::sanction.label.count',
                        "placeholder" => 'aml::sanction.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'aml::sanction.label.comment',
                        "placeholder" => 'aml::sanction.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'aml::sanction.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'aml::sanction.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
