<?php

namespace Bixo\Aml\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class NameTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_aml_names')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.aml.name.view',
                'name'      => 'View Name',
            ],
            [
                'slug'      => 'bixo.aml.name.create',
                'name'      => 'Create Name',
            ],
            [
                'slug'      => 'bixo.aml.name.edit',
                'name'      => 'Update Name',
            ],
            [
                'slug'      => 'bixo.aml.name.delete',
                'name'      => 'Delete Name',
            ],
            
                        [
                'slug'      => 'bixo.aml.name.verify',
                'name'      => 'Verify Name',
            ],
            [
                'slug'      => 'bixo.aml.name.approve',
                'name'      => 'Approve Name',
            ],
            [
                'slug'      => 'bixo.aml.name.publish',
                'name'      => 'Publish Name',
            ],
            [
                'slug'      => 'bixo.aml.name.unpublish',
                'name'      => 'Unpublish Name',
            ],
            [
                'slug'      => 'bixo.aml.name.cancel',
                'name'      => 'Cancel Name',
            ],
            [
                'slug'      => 'bixo.aml.name.archive',
                'name'      => 'Archive Name',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/aml/name',
                'name'        => 'Name',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/aml/name',
                'name'        => 'Name',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'name',
                'name'        => 'Name',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Aml',
                'module'    => 'Name',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.aml.name.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
