<?php

namespace Bixo\Aml\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class NationalityTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_aml_nationalities')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.aml.nationality.view',
                'name'      => 'View Nationality',
            ],
            [
                'slug'      => 'bixo.aml.nationality.create',
                'name'      => 'Create Nationality',
            ],
            [
                'slug'      => 'bixo.aml.nationality.edit',
                'name'      => 'Update Nationality',
            ],
            [
                'slug'      => 'bixo.aml.nationality.delete',
                'name'      => 'Delete Nationality',
            ],
            
                        [
                'slug'      => 'bixo.aml.nationality.verify',
                'name'      => 'Verify Nationality',
            ],
            [
                'slug'      => 'bixo.aml.nationality.approve',
                'name'      => 'Approve Nationality',
            ],
            [
                'slug'      => 'bixo.aml.nationality.publish',
                'name'      => 'Publish Nationality',
            ],
            [
                'slug'      => 'bixo.aml.nationality.unpublish',
                'name'      => 'Unpublish Nationality',
            ],
            [
                'slug'      => 'bixo.aml.nationality.cancel',
                'name'      => 'Cancel Nationality',
            ],
            [
                'slug'      => 'bixo.aml.nationality.archive',
                'name'      => 'Archive Nationality',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/aml/nationality',
                'name'        => 'Nationality',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/aml/nationality',
                'name'        => 'Nationality',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'nationality',
                'name'        => 'Nationality',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Aml',
                'module'    => 'Nationality',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.aml.nationality.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
