<?php

namespace Bixo\Aml\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class SanctionTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_aml_sanctions')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.aml.sanction.view',
                'name'      => 'View Sanction',
            ],
            [
                'slug'      => 'bixo.aml.sanction.create',
                'name'      => 'Create Sanction',
            ],
            [
                'slug'      => 'bixo.aml.sanction.edit',
                'name'      => 'Update Sanction',
            ],
            [
                'slug'      => 'bixo.aml.sanction.delete',
                'name'      => 'Delete Sanction',
            ],
            
                        [
                'slug'      => 'bixo.aml.sanction.verify',
                'name'      => 'Verify Sanction',
            ],
            [
                'slug'      => 'bixo.aml.sanction.approve',
                'name'      => 'Approve Sanction',
            ],
            [
                'slug'      => 'bixo.aml.sanction.publish',
                'name'      => 'Publish Sanction',
            ],
            [
                'slug'      => 'bixo.aml.sanction.unpublish',
                'name'      => 'Unpublish Sanction',
            ],
            [
                'slug'      => 'bixo.aml.sanction.cancel',
                'name'      => 'Cancel Sanction',
            ],
            [
                'slug'      => 'bixo.aml.sanction.archive',
                'name'      => 'Archive Sanction',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/aml/sanction',
                'name'        => 'Sanction',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/aml/sanction',
                'name'        => 'Sanction',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'sanction',
                'name'        => 'Sanction',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Aml',
                'module'    => 'Sanction',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.aml.sanction.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
