<?php

namespace Bixo\Aml\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\Aml\Models\Name;


class NameAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.aml.name';
    protected $eventClass = \Bixo\Aml\Events\NameAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Name $name, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $name;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Name $name, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $name = $name->create($attributes);
        return $name;
    }

    public function update(Name $name, array $request)
    {
        $attributes = $request;
        $name->update($attributes);
        return $name;
    }

    public function destroy(Name $name, array $request)
    {
        $name->delete();
        return $name;
    }

    public function copy(Name $name, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $name = $name->replicate();
            $name->created_at = Carbon::now();
            $name->save();
            return $name;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $name->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $name;
    }


}
