<?php

namespace Bixo\Aml\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\Aml\Models\Nationality;


class NationalityAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.aml.nationality';
    protected $eventClass = \Bixo\Aml\Events\NationalityAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Nationality $nationality, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $nationality;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Nationality $nationality, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $nationality = $nationality->create($attributes);
        return $nationality;
    }

    public function update(Nationality $nationality, array $request)
    {
        $attributes = $request;
        $nationality->update($attributes);
        return $nationality;
    }

    public function destroy(Nationality $nationality, array $request)
    {
        $nationality->delete();
        return $nationality;
    }

    public function copy(Nationality $nationality, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $nationality = $nationality->replicate();
            $nationality->created_at = Carbon::now();
            $nationality->save();
            return $nationality;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $nationality->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $nationality;
    }


}
