<?php

namespace Bixo\Aml\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\Aml\Models\Sanction;


class SanctionAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.aml.sanction';
    protected $eventClass = \Bixo\Aml\Events\SanctionAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Sanction $sanction, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $sanction;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Sanction $sanction, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $sanction = $sanction->create($attributes);
        return $sanction;
    }

    public function update(Sanction $sanction, array $request)
    {
        $attributes = $request;
        $sanction->update($attributes);
        return $sanction;
    }

    public function destroy(Sanction $sanction, array $request)
    {
        $sanction->delete();
        return $sanction;
    }

    public function copy(Sanction $sanction, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $sanction = $sanction->replicate();
            $sanction->created_at = Carbon::now();
            $sanction->save();
            return $sanction;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $sanction->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $sanction;
    }


}
