<?php

namespace Bixo\Aml\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Bixo\Aml\Http\Requests\NameActionsRequest;
use Bixo\Aml\Actions\NameActions;

/**
 * Admin web controller class.
 */
class NameActionsController extends BaseController
{

    /**
     * Action controller function for name.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(NameActionsRequest $request, $action)
    {
        try {
            $name = NameActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('aml::name.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('aml/name/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('aml/name/' . $action))
                ->redirect();
        }
    }
}
