<?php

namespace Bixo\Aml\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Aml\Actions\NameReport;
use Bixo\Aml\Http\Requests\NameReportRequest;

/**
 * Admin web controller class.
 */
class NameReportController extends BaseController
{
    /**
     * Action controller function for name.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(NameReportRequest $request, $report)
    {
        try {
        
            $this->model = app(Name::class);
            $data = NameReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('aml::name.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('aml/name/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('aml/name/' . $report))
                ->redirect();
        }
    }
}
