<?php

namespace Bixo\Aml\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Aml\Actions\SanctionAction;
use Bixo\Aml\Http\Requests\SanctionActionRequest;
use Bixo\Aml\Http\Resources\SanctionResource;
use Bixo\Aml\Models\Sanction;

/**
 * Admin web controller class.
 */
class SanctionActionController extends BaseController
{

    /**
     * Action controller function for sanction.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(SanctionActionRequest $request, Sanction $sanction, $action)
    {
        try {
            $request = $request->all();
            $sanction = SanctionAction::run($action, $sanction, $request);

            $data = new SanctionResource($sanction);
            return $this->response->message(trans("messages.success.{$action}", ['Module' => trans('aml::sanction.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('aml/sanction/' . $sanction->getRouteKey()))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('aml/sanction/' . $sanction->getRouteKey()))
                ->redirect();
        }
    }

    public function notify(){
        
    }
}
