<?php

namespace Bixo\Aml\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Bixo\Aml\Http\Requests\SanctionActionsRequest;
use Bixo\Aml\Actions\SanctionActions;

/**
 * Admin web controller class.
 */
class SanctionActionsController extends BaseController
{

    /**
     * Action controller function for sanction.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(SanctionActionsRequest $request, $action)
    {
        try {
            $sanction = SanctionActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('aml::sanction.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('aml/sanction/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('aml/sanction/' . $action))
                ->redirect();
        }
    }
}
