<?php

namespace Bixo\Aml\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Aml\Actions\SanctionReport;
use Bixo\Aml\Http\Requests\SanctionReportRequest;

/**
 * Admin web controller class.
 */
class SanctionReportController extends BaseController
{
    /**
     * Action controller function for sanction.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(SanctionReportRequest $request, $report)
    {
        try {
        
            $this->model = app(Sanction::class);
            $data = SanctionReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('aml::sanction.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('aml/sanction/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('aml/sanction/' . $report))
                ->redirect();
        }
    }
}
