<?php
namespace Bixo\Aml\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;
use Bixo\Aml\Events\NameAction as NameActionEvent;
use Bixo\Aml\Models\Name;

class NameAction extends Notification implements ShouldQueue
{
    use Queueable;

    protected $event;
    protected $name;
    protected $action;
    protected $request;

    /**
     * Create a new notification instance.
     *
     * @param NameActionEvent $name
     */
    public function __construct(NameActionEvent $name)
    {
        $this->action = $event->action;
        $this->name = $name;
        $this->request = $event->request;
        $this->event = $event;

    }

    /**
     * Get the mail representation of the notification.
     *
     * @param mixed $notifiable
     * @return \Illuminate\Notifications\Messages\MailMessage
     */
    public function toMail($notifiable)
    {
        return (new MailMessage)
            ->subject('Name Approved - ' . config('app.name'))
            ->view('aml::name.email.action', ['data' => $this->name]);
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param object $notifiable
     * @return array<int, string>
     */
    public function via(object $notifiable): array
    {
        return ['mail'];
    }
}
