<?php
namespace Bixo\Aml\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;
use Bixo\Aml\Events\SanctionAction as SanctionActionEvent;
use Bixo\Aml\Models\Sanction;

class SanctionAction extends Notification implements ShouldQueue
{
    use Queueable;

    protected $event;
    protected $sanction;
    protected $action;
    protected $request;

    /**
     * Create a new notification instance.
     *
     * @param SanctionActionEvent $sanction
     */
    public function __construct(SanctionActionEvent $sanction)
    {
        $this->action = $event->action;
        $this->sanction = $sanction;
        $this->request = $event->request;
        $this->event = $event;

    }

    /**
     * Get the mail representation of the notification.
     *
     * @param mixed $notifiable
     * @return \Illuminate\Notifications\Messages\MailMessage
     */
    public function toMail($notifiable)
    {
        return (new MailMessage)
            ->subject('Sanction Approved - ' . config('app.name'))
            ->view('aml::sanction.email.action', ['data' => $this->sanction]);
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param object $notifiable
     * @return array<int, string>
     */
    public function via(object $notifiable): array
    {
        return ['mail'];
    }
}
