<?php

namespace Bixo\Aml\Policies;

use Bixo\Aml\Models\Name;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait NameAction
{

    /**
     * Determine if the given user can copy the given name.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Name $name)
    {

        if ($authUser->canDo('aml.name.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given name.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Name $name) {

        if ($authUser->canDo('aml.name.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given name.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Name $name)
    {

        if ($authUser->canDo('aml.name.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
