<?php

namespace Bixo\Aml\Policies;

use Bixo\Aml\Models\Nationality;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait NationalityAction
{

    /**
     * Determine if the given user can copy the given nationality.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Nationality $nationality)
    {

        if ($authUser->canDo('aml.nationality.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given nationality.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Nationality $nationality) {

        if ($authUser->canDo('aml.nationality.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given nationality.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Nationality $nationality)
    {

        if ($authUser->canDo('aml.nationality.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
