<?php

namespace Bixo\Aml\Policies;

use Bixo\Aml\Models\Nationality;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait NationalityWorkflow
{

    /**
     * Determine if the given user can approve the given nationality.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function approve(Authenticatable $user, Nationality $nationality)
    {
        if ($user->canDo('aml.nationality.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given nationality.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function submit(Authenticatable $user, Nationality $nationality)
    {
        if ($user->canDo('aml.nationality.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given nationality.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function publish(Authenticatable $user, Nationality $nationality)
    {
        if ($user->canDo('aml.nationality.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given nationality.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unpublish(Authenticatable $user, Nationality $nationality)
    {
        if ($user->canDo('aml.nationality.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given nationality.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function archive(Authenticatable $user, Nationality $nationality)
    {
        if ($user->canDo('aml.nationality.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given nationality.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unarchive(Authenticatable $user, Nationality $nationality)
    {
        if ($user->canDo('aml.nationality.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given nationality.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function reject(Authenticatable $user, Nationality $nationality)
    {
        if ($user->canDo('aml.nationality.reject')) {
            return true;
        }

        return false;
    }

}
