<?php

namespace Bixo\Aml\Policies;

use Bixo\Aml\Models\Sanction;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait SanctionAction
{

    /**
     * Determine if the given user can copy the given sanction.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Sanction $sanction)
    {

        if ($authUser->canDo('aml.sanction.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given sanction.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Sanction $sanction) {

        if ($authUser->canDo('aml.sanction.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given sanction.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Sanction $sanction)
    {

        if ($authUser->canDo('aml.sanction.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
