<?php


namespace Bixo\Aml\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait SanctionReport
{

    /**
     * Determine if the given user can approve the given sanction.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('aml.sanction.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given sanction.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('aml.sanction.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given sanction.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('aml.sanction.report.download')) {
            return true;
        }

        return false;
    }
}
