<?php

namespace Bixo\Aml\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Name policy
        \Bixo\Aml\Models\Name::class 
        => \Bixo\Aml\Policies\NamePolicy::class,// Bind Nationality policy
        \Bixo\Aml\Models\Nationality::class 
        => \Bixo\Aml\Policies\NationalityPolicy::class,// Bind Sanction policy
        \Bixo\Aml\Models\Sanction::class 
        => \Bixo\Aml\Policies\SanctionPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
