<?php

namespace Bixo\Aml\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Bixo\Aml\Events\AmlAction;
use Bixo\Aml\Events\AmlWorkflow;
use Bixo\Aml\Listeners\AmlAction as AmlActionListener;
use Bixo\Aml\Listeners\AmlWorkflow as AmlWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        AmlAction::class => [
            AmlActionListener::class,
        ],
        AmlWorkflow::class => [
            AmlWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
